"""The Old Persian Cuneiform. Sources:

- `<https://www.unicode.org/charts/PDF/U103A0.pdf>`_

"""

__author__ = ["Caio Geraldes <caio.geraldes@usp.br>"]


VOWELS = [
    "\U000103A0",  # 𐎠 OLD PERSIAN SIGN A
    "\U000103A1",  # 𐎡 OLD PERSIAN SIGN I
    "\U000103A2",  # 𐎢 OLD PERSIAN SIGN U
]

SYLLABLES = [
    "\U000103A3",  # 𐎣 OLD PERSIAN SIGN KA
    "\U000103A4",  # 𐎤 OLD PERSIAN SIGN KU
    "\U000103A5",  # 𐎥 OLD PERSIAN SIGN GA
    "\U000103A6",  # 𐎦 OLD PERSIAN SIGN GU
    "\U000103A7",  # 𐎧 OLD PERSIAN SIGN XA
    "\U000103A8",  # 𐎨 OLD PERSIAN SIGN CA
    "\U000103A9",  # 𐎩 OLD PERSIAN SIGN JA
    "\U000103AA",  # 𐎪 OLD PERSIAN SIGN JI
    "\U000103AB",  # 𐎫 OLD PERSIAN SIGN TA
    "\U000103AC",  # 𐎬 OLD PERSIAN SIGN TU
    "\U000103AD",  # 𐎭 OLD PERSIAN SIGN DA
    "\U000103AE",  # 𐎮 OLD PERSIAN SIGN DI
    "\U000103AF",  # 𐎯 OLD PERSIAN SIGN DU
    "\U000103B0",  # 𐎰 OLD PERSIAN SIGN THA
    "\U000103B1",  # 𐎱 OLD PERSIAN SIGN PA
    "\U000103B2",  # 𐎲 OLD PERSIAN SIGN BA
    "\U000103B3",  # 𐎳 OLD PERSIAN SIGN FA
    "\U000103B4",  # 𐎴 OLD PERSIAN SIGN NA
    "\U000103B5",  # 𐎵 OLD PERSIAN SIGN NU
    "\U000103B6",  # 𐎶 OLD PERSIAN SIGN MA
    "\U000103B7",  # 𐎷 OLD PERSIAN SIGN MI
    "\U000103B8",  # 𐎸 OLD PERSIAN SIGN MU
    "\U000103B9",  # 𐎹 OLD PERSIAN SIGN YA
    "\U000103BA",  # 𐎺 OLD PERSIAN SIGN VA
    "\U000103BB",  # 𐎻 OLD PERSIAN SIGN VI
    "\U000103BC",  # 𐎼 OLD PERSIAN SIGN RA
    "\U000103BD",  # 𐎽 OLD PERSIAN SIGN RU
    "\U000103BE",  # 𐎾 OLD PERSIAN SIGN LA
    "\U000103BF",  # 𐎿 OLD PERSIAN SIGN SA
    "\U000103C0",  # 𐏀 OLD PERSIAN SIGN ZA
    "\U000103C1",  # 𐏁 OLD PERSIAN SIGN SHA
    "\U000103C2",  # 𐏂 OLD PERSIAN SIGN SSA
    "\U000103C3",  # 𐏃 OLD PERSIAN SIGN HA
]

WORDS = [
    "\U000103C8",  # 𐏈 OLD PERSIAN SIGN AURAMAZDAA
    "\U000103C9",  # 𐏉 OLD PERSIAN SIGN AURAMAZDAA-2
    "\U000103CA",  # 𐏊 OLD PERSIAN SIGN AURAMAZDAAHA
    "\U000103CB",  # 𐏋 OLD PERSIAN SIGN XSHAAYATHIYA
    "\U000103CC",  # 𐏌 OLD PERSIAN SIGN DAHYAAUSH
    "\U000103CD",  # 𐏍 OLD PERSIAN SIGN DAHYAAUSH-2
    "\U000103CE",  # 𐏎 OLD PERSIAN SIGN BAGA
    "\U000103CF",  # 𐏏 OLD PERSIAN SIGN BUUMISH
]

PUNCTUATION = [
    "\U000103D0",  # 𐏐 OLD PERSIAN WORD DIVIDER
]

NUMBERS = [
    "\U000103D1",  # 𐏑 OLD PERSIAN NUMBER ONE
    "\U000103D2",  # 𐏒 OLD PERSIAN NUMBER TWO
    "\U000103D3",  # 𐏓 OLD PERSIAN NUMBER TEN
    "\U000103D4",  # 𐏔 OLD PERSIAN NUMBER TWENTY
    "\U000103D5",  # 𐏕 OLD PERSIAN NUMBER HUNDRED
]
